.audio-row-loading-spinner {
    &::before,
    &::after {
        display: inline-block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate3d(-50%, -50%, 0);
        transform-origin: left top;
        border: 2px solid transparent;
        border-radius: 50%;
        border-top-color: #fff;
        border-bottom-color: #fff;
        content: '';
    }

    &::before {
        padding: 10px;
        animation: spin-spinner2 .6s infinite linear;
    }

    &::after {
        padding: 6px;
        animation: spin-spinner2 1s infinite linear reverse;
    }
}

@keyframes spin-spinner2 {
    from {
        transform: rotateZ(0deg) translate3d(-50%, -50%, 0);
    }
  
    to {
        transform: rotateZ(360deg) translate3d(-50%, -50%, 0);
    }
}


.bars {
    left: 50%;
    position: absolute;
    top: 50%;
    width: 16px;
    height: 16px;
    margin-top: -9px;
    margin-left: -11px;

    .bar {
        background: #fff;
        bottom: 1px;
        height: 3px;
        position: absolute;
        width: 3px;
        animation: sound 0ms -800ms linear infinite alternate;

        &:nth-child(1)  { left: 1px; animation-duration: 474ms; }
        &:nth-child(2)  { left: 5px; animation-duration: 433ms; }
        &:nth-child(3)  { left: 9px; animation-duration: 407ms; }
        &:nth-child(4)  { left: 13px; animation-duration: 458ms; }
        &:nth-child(5)  { left: 17px; animation-duration: 400ms; }
        &:nth-child(6)  { left: 21px; animation-duration: 427ms; }
        &:nth-child(7)  { left: 25px; animation-duration: 441ms; }
        &:nth-child(8)  { left: 29px; animation-duration: 419ms; }
        &:nth-child(9)  { left: 33px; animation-duration: 487ms; }
        &:nth-child(10) { left: 37px; animation-duration: 442ms; }
    }
}

@keyframes sound {
    0% {
        opacity: .35;
        height: 3px;
    }
    100% {
        opacity: 1;
        height: 16px;
    }
}
